#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	WSGI Proxy with various HTTP client backends
Summary(pl.UTF-8):	Proxy WSGI z różnymi backendami klienta HTTP
Name:		python3-WSGIProxy2
Version:	0.5.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/wsgiproxy2/
Source0:	https://files.pythonhosted.org/packages/source/W/WSGIProxy2/WSGIProxy2-%{version}.tar.gz
# Source0-md5:	398ceb52cfd9add0c9a48e5ec7a7399b
URL:		https://github.com/gawel/WSGIProxy2/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-WebOb
BuildRequires:	python3-requests
BuildRequires:	python3-six
BuildRequires:	python3-urllib3
BuildRequires:	python3-webtest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WSGI Proxy with various HTTP client backends.

%description -l pl.UTF-8
Proxy WSGI z różnymi backendami klienta HTTP.

%package apidocs
Summary:	API documentation for Python WSGIProxy2 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona WSGIProxy2
Group:		Documentation

%description apidocs
API documentation for Python WSGIProxy2 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona WSGIProxy2.

%prep
%setup -q -n WSGIProxy2-%{version}

%build
%py3_build

%if %{with tests}
nosetests-%{py3_ver} wsgiproxy
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYING README.rst
%{py3_sitescriptdir}/wsgiproxy
%{py3_sitescriptdir}/WSGIProxy2-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-WSGIProxy2.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a02d621
- Up to 0.5.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3cf2210
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 05eaea0
- python 3.13 rebuild

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> d408f5b
- updated to 0.4.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7b26d23
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> dc7259c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6a53d59
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c53522f
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 780feef
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 800a36f
- new

